from django.templatetags.static import static
from django.utils.safestring import mark_safe
from wagtail import hooks

@mark_safe
@hooks.register('insert_global_admin_js')
def register_admin_js():
    subcategory_chooser_js = static('js/subcategory_chooser.js')
    return f'<script src="{subcategory_chooser_js}"></script>'

@mark_safe
@hooks.register('insert_global_admin_css')
def register_admin_css():
    subcategory_chooser_css = static('css/subcategory_chooser.css')
    return f'<link rel="stylesheet" href="{subcategory_chooser_css}">'